Create A Community Group Post
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "discussion",
"body": "What should we cover during our next gathering?"
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'discussion',
body: JSON.stringify('What should we cover during our next gathering?')
})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts"
payload = {
"type": "discussion",
"body": "What should we cover during our next gathering?"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"post": {
"id": 615,
"type": "discussion",
"title": "Friday gathering",
"body": "What should we cover during our next gathering?",
"published_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
},
"comments": []
}
}
}Community Groups
Create A Community Group Post
Publishes a discussion or, for authorized group leaders, an announcement.
POST
/
v1
/
community-groups
/
{groupId}
/
feed
/
posts
Create A Community Group Post
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"type": "discussion",
"body": "What should we cover during our next gathering?"
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'discussion',
body: JSON.stringify('What should we cover during our next gathering?')
})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts"
payload = {
"type": "discussion",
"body": "What should we cover during our next gathering?"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"post": {
"id": 615,
"type": "discussion",
"title": "Friday gathering",
"body": "What should we cover during our next gathering?",
"published_at": "2026-07-18T09:30:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
},
"comments": []
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Community group identifier.
Required range:
x >= 1Body
application/json
Response
Community group post created.
The response is of type object.
Was this page helpful?